uk.gov.hmrc.ct.ct600a.v2

# A6

###
Related Docs: class A6 | package v2

#### object A6 extends Calculated[A6, CT600ABoxRetriever] with LoansToParticipatorsCalculator with Serializable

Linear Supertypes
Serializable, Serializable, LoansToParticipatorsCalculator, CtTypeConverters, Calculated[A6, CT600ABoxRetriever], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. A6
2. Serializable
3. Serializable
4. LoansToParticipatorsCalculator
5. CtTypeConverters
6. Calculated
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def calculate(fieldValueRetriever: CT600ABoxRetriever): A6

   Definition Classes
     A6 → Calculated

6. #### def calculateA10(a8: A8, a9: A9): A10

   Definition Classes
     LoansToParticipatorsCalculator

7. #### def calculateA10Inverse(a8Inverse: A8Inverse, a9Inverse: A9Inverse): A10Inverse

   Definition Classes
     LoansToParticipatorsCalculator

8. #### def calculateA11(a10: A10): A11

   Definition Classes
     LoansToParticipatorsCalculator

9. #### def calculateA11Inverse(a10Inverse: A10Inverse): A11Inverse

   Definition Classes
     LoansToParticipatorsCalculator

10. #### def calculateA12(a2: A2, lp04: LP04): A12

    Definition Classes
      LoansToParticipatorsCalculator

11. #### def calculateA13(a3: A3, a7: A7, a11: A11): A13

    Definition Classes
      LoansToParticipatorsCalculator

12. #### def calculateA2(lp02: LP02): A2

    Definition Classes
      LoansToParticipatorsCalculator

13. #### def calculateA3(a2: A2): A3

    Definition Classes
      LoansToParticipatorsCalculator

14. #### def calculateA4(cp2: CP2, lp02: LP02): A4

    Definition Classes
      LoansToParticipatorsCalculator

15. #### def calculateA5(cp2: CP2, lp03: LP03): A5

    Definition Classes
      LoansToParticipatorsCalculator

16. #### def calculateA6(a4: A4, a5: A5): A6

    Definition Classes
      LoansToParticipatorsCalculator

17. #### def calculateA7(a6: A6): A7

    Definition Classes
      LoansToParticipatorsCalculator

18. #### def calculateA8(cp2: CP2, lp02: LP02, filingDate: LPQ07): A8

    Definition Classes
      LoansToParticipatorsCalculator

19. #### def calculateA8Inverse(cp2: CP2, lp02: LP02, filingDate: LPQ07): A8Inverse

    Definition Classes
      LoansToParticipatorsCalculator

20. #### def calculateA9(cp2: CP2, lp03: LP03, filingDate: LPQ07): A9

    Definition Classes
      LoansToParticipatorsCalculator

21. #### def calculateA9Inverse(cp2: CP2, lp03: LP03, filingDate: LPQ07): A9Inverse

    Definition Classes
      LoansToParticipatorsCalculator

22. #### def calculateB80(a11: A11): B80

    Definition Classes
      LoansToParticipatorsCalculator

23. #### def calculateLPQ01(lpq03: LPQ03, lpq04: LPQ04, lpq05: LPQ05): LPQ01

    Definition Classes
      LoansToParticipatorsCalculator

24. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

    Definition Classes
      CtTypeConverters

26. #### implicit def convert(catoInt: CtOptionalInteger): Int

    Definition Classes
      CtTypeConverters

27. #### implicit def convert(catoInt: CtInteger): Int

    Definition Classes
      CtTypeConverters

28. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

29. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

30. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

32. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

33. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

34. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

35. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

36. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

37. #### final def notify(): Unit

    Definition Classes
      AnyRef

38. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### def toString(): String

    Definition Classes
      AnyRef → Any

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from LoansToParticipatorsCalculator

### Inherited from CtTypeConverters

### Inherited from Calculated[A6, CT600ABoxRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped